Page MenuHomePhabricator

AntiSpoof is not enabled for Special:GlobalRenameRequest
Closed, ResolvedPublic

Description

Special:GlobalRenameRequest does not check new usernames for potential AntiSpoof conflicts.

Event Timeline

Steinsplitter raised the priority of this task from to High.
Steinsplitter updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 29 2015, 1:04 PM
Steinsplitter set Security to None.
Steinsplitter added a subscriber: Stryn.
Keegan added a subscriber: Keegan.Apr 29 2015, 8:52 PM

For the time being I believe this is intentional. Since, for at least SUL finalization, we have a high volume of requests for similar names with a great unlikelihood that the account will be working on the wiki with the owner of the similar name, similar names are being allowed as long as they are not on the home wiki. I'm not sure if this is likely to change once things have died down or not.

@Keegan Now that we are out of the backlog, I think that there is value in changing this to implement anti-spoof. I can see why we did it that way prior to globalisation.

We now have situations where people are looking to change to simple target names not related to their originating name and trying to do it based on different case, etc. If we do this based on the request form that eliminates issues, and we can put help text that pushes them to [[m:SRUC]] for complex rename requests.

[Addendum] as we can still do overrides based on the manual tool, and that seems a better means to manage rather than "oops"

Keegan added a comment.May 2 2015, 5:50 AM

@Billinghurst @Legoktm Okay, good points. At this time I'm thinking that strict enforcement of AntiSpoof should take place in two weeks, which would make it one month's time after account renaming started. I think that's only fair, to continue to stagger the month-to-month stages of this process.

Fair call. Whatever you see as being reasonable.

@Legoktm It's been two weeks, it's time to turn on AntiSpoof for global rename when you get time for a patch, or others - patches welcome.

Steinsplitter added a comment.EditedJun 1 2015, 5:12 PM

Wrapping up.

There was a discussion with some complains on irc. Can we pls restore anti spoof?

Ahonc added a subscriber: Ahonc.Jun 1 2015, 5:23 PM

Change 215073 had a related patch set uploaded (by Legoktm):
Display AntiSpoof conflicts in the GlobalRenameQueue

https://gerrit.wikimedia.org/r/215073

Legoktm moved this task from To-do to Doing on the SUL-Finalization board.Jun 2 2015, 11:01 PM

Change 215073 merged by jenkins-bot:
Display AntiSpoof conflicts in the GlobalRenameQueue

https://gerrit.wikimedia.org/r/215073

Keegan moved this task from Doing to Done on the SUL-Finalization board.Jun 7 2015, 1:46 AM
Keegan moved this task from Backlog to Closed on the GlobalRename board.
Snaevar removed a subscriber: Snaevar.Jun 8 2015, 7:00 PM